Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
apple
/
app_intersection
/
live
App Store App Intersection Live
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/apple/app_intersection/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_ids": {},
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "limit": 123,
  "offset": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.app_ids": {},
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.se_type": "<string>",
  "tasks.result.items.keyword_data": {},
  "tasks.result.items.keyword_data.se_type": "<string>",
  "tasks.result.items.keyword_data.keyword": "<string>",
  "tasks.result.items.keyword_data.location_code": 123,
  "tasks.result.items.keyword_data.language_code": "<string>",
  "tasks.result.items.keyword_data.keyword_info": {},
  "tasks.result.items.keyword_data.keyword_info.se_type": "<string>",
  "tasks.result.items.keyword_data.keyword_info.last_updated_time": "<string>",
  "tasks.result.items.keyword_data.keyword_info.competition": 123,
  "tasks.result.items.keyword_data.keyword_info.competition_level": "<string>",
  "tasks.result.items.keyword_data.keyword_info.cpc": 123,
  "tasks.result.items.keyword_data.keyword_info.search_volume": 123,
  "tasks.result.items.keyword_data.keyword_info.low_top_of_page_bid": 123,
  "tasks.result.items.keyword_data.keyword_info.high_top_of_page_bid": 123,
  "tasks.result.items.keyword_data.keyword_info.categories": [
    "<string>"
  ],
  "tasks.result.items.keyword_data.keyword_info.monthly_searches": [
    "<string>"
  ],
  "tasks.result.items.keyword_data.serp_info": {},
  "tasks.result.items.keyword_data.serp_info.se_type": "<string>",
  "tasks.result.items.keyword_data.serp_info.check_url": "<string>",
  "tasks.result.items.keyword_data.serp_info.serp_item_types": [
    "<string>"
  ],
  "tasks.result.items.keyword_data.serp_info.se_results_count": "<string>",
  "tasks.result.items.keyword_data.serp_info.last_updated_time": "<string>",
  "tasks.result.items.keyword_data.serp_info.previous_updated_time": "<string>",
  "tasks.result.items.intersection_result": {},
  "tasks.result.items.intersection_result.1": {},
  "tasks.result.items.intersection_result.1.type": "<string>",
  "tasks.result.items.intersection_result.1.rank_group": 123,
  "tasks.result.items.intersection_result.1.rank_absolute": 123,
  "tasks.result.items.intersection_result.1.position": "<string>",
  "tasks.result.items.intersection_result.1.app_id": "<string>",
  "tasks.result.items.intersection_result.1.title": "<string>",
  "tasks.result.items.intersection_result.1.url": "<string>",
  "tasks.result.items.intersection_result.1.icon": "<string>",
  "tasks.result.items.intersection_result.1.reviews_count": 123,
  "tasks.result.items.intersection_result.1.rating": {},
  "tasks.result.items.intersection_result.1.rating.rating_type": "<string>",
  "tasks.result.items.intersection_result.1.rating.value": 123,
  "tasks.result.items.intersection_result.1.rating.votes_count": 123,
  "tasks.result.items.intersection_result.1.rating.rating_max": 123,
  "tasks.result.items.intersection_result.1.is_free": true,
  "tasks.result.items.intersection_result.1.is_free.current": 123,
  "tasks.result.items.intersection_result.1.is_free.regular": 123,
  "tasks.result.items.intersection_result.1.is_free.max_value": 123,
  "tasks.result.items.intersection_result.1.is_free.currency": "<string>",
  "tasks.result.items.intersection_result.1.is_free.is_price_range": true,
  "tasks.result.items.intersection_result.1.is_free.displayed_price": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
app_ids
object
required

ids of the target apps required field IDs of the target mobile applications on App Store; you can find the ID in the URL of every app listed on App Store; example: in the URL https://apps.apple.com/us/app/id835599320 the id is 835599320; the ids should be specified the following way: "app_ids": { "1": "686449807", "2": "382617920" } if you specify a single ID here, the API will return results only for one application; the maximum number of app IDs you can specify in this object is 20

location_name
string
required

full name of the location required field if you don’t specify location_code Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US location only; example: United States

location_code
integer
required

location code required field if you don’t specify location_name Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US location only; example: 2840

language_name
string
required

full name of the language required field if you don’t specify language_code Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the English language only; example: English

language_code
string
required

language code required field if you don’t specify language_name Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the English language only example: en

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: , , >, >=, =, , in, not_in example: ["keyword_data.keyword_info.search_volume",">",500] [["keyword_data.keyword_info.search_volume","",500],"and",[intersection_result.382617920.rank_group",">=","10"]] for more information about filters, please refer to Dataforseo Labs – Filters or this help center guide

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results; possible sorting types: asc – results will be sorted in the ascending order; desc – results will be sorted in the descending order; you should use a comma to specify a sorting type; example: ["intersection_result.382617920.rank_absolute,asc"] Note: you can set no more than three sorting rules in a single request; you should use a comma to separate several sorting rules; example: ["intersection_result.382617920.rank_absolute,desc","keyword_data.keyword_info.search_volume,asc"] default rule: ["keyword_data.keyword_info.search_volume,desc"] Note: if the item_types array contains item types that are different from organic, the results will be ordered by the first item type in the array

limit
integer

the maximum number of returned keywords optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned keywords optional field default value: 0 if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.se_type
string

search engine type

tasks.result.app_ids
object

ids of the apps in a POST array

tasks.result.location_code
integer

location code in a POST array

tasks.result.language_code
string

language code in a POST array

tasks.result.total_count
integer

total amount of results in our database relevant to your request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains data related to the ranking keywords for the app specified in the app_id field

tasks.result.items.se_type
string

search engine type

tasks.result.items.keyword_data
object

keyword data for the returned keyword

tasks.result.items.keyword_data.se_type
string

search engine type

tasks.result.items.keyword_data.keyword
string

returned keyword

tasks.result.items.keyword_data.location_code
integer

location code in a POST array

tasks.result.items.keyword_data.language_code
string

language code in a POST array

tasks.result.items.keyword_data.keyword_info
object

keyword info for the returned keyword

tasks.result.items.keyword_data.keyword_info.se_type
string

search engine type

tasks.result.items.keyword_data.keyword_info.last_updated_time
string

date and time when keyword data was updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”; example: 2019-11-15 12:57:46 +00:00

tasks.result.items.keyword_data.keyword_info.competition
number

competition represents the relative amount of competition associated with the given keyword; the value is based on Google Ads data and can be between 0 and 1 (inclusive); in this case, will equal null

tasks.result.items.keyword_data.keyword_info.competition_level
string

competition level represents the relative level of competition associated with the given keyword in paid SERP only; possible values: LOW, MEDIUM, HIGH if competition level is unknown, the value is null; learn more about the metric in this help center article; in this case, will equal null

tasks.result.items.keyword_data.keyword_info.cpc
number

cost-per-click represents the average cost per click (USD) historically paid for the keyword; in this case, will equal null

tasks.result.items.keyword_data.keyword_info.search_volume
integer

average monthly search volume rate represents the (approximate) number of searches for the given keyword on App Store

tasks.result.items.keyword_data.keyword_info.low_top_of_page_bid
number

minimum bid for the ad to be displayed at the top of the first page indicates the value greater than about 20% of the lowest bids for which ads were displayed (based on Google Ads statistics for advertisers) the value may differ depending on the location specified in a POST request; in this case, will equal null

tasks.result.items.keyword_data.keyword_info.high_top_of_page_bid
number

maximum bid for the ad to be displayed at the top of the first page indicates the value greater than about 80% of the lowest bids for which ads were displayed (based on Google Ads statistics for advertisers) the value may differ depending on the location specified in a POST request; in this case, will equal null

tasks.result.items.keyword_data.keyword_info.categories
string[]

product and service categories you can download the full list of possible categories; in this case, will equal null

tasks.result.items.keyword_data.keyword_info.monthly_searches
string[]

monthly searches represents the (approximate) number of searches for this keyword (as available for the past twelve months), targeted to the specified geographic locations; in this case, will equal null

tasks.result.items.keyword_data.serp_info
object

SERP data the value will be null if you didn’t set the field include_serp_info to true in the POST array or if there is no SERP data for this keyword in our database

tasks.result.items.keyword_data.serp_info.se_type
string

search engine type search engine type specified in a POST request; for this endpoint, the field equals bing

tasks.result.items.keyword_data.serp_info.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

tasks.result.items.keyword_data.serp_info.serp_item_types
string[]

types of search results in SERP contains types of search results (items) found in SERP; in this case, will equal null

tasks.result.items.keyword_data.serp_info.se_results_count
string

number of search results for the returned keyword

tasks.result.items.keyword_data.serp_info.last_updated_time
string

date and time when SERP data was updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.items.keyword_data.serp_info.previous_updated_time
string

previous to the most recent date and time when SERP data was updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-10-15 12:57:46 +00:00

tasks.result.items.intersection_result
object

contains SERP data for the returned keyword data will be provided in separate arrays for each app ID you specified in the app_ids object when setting a task; depending on the number of specified app IDs, it can contain from 1 to 20 arrays named respectively

tasks.result.items.intersection_result.1
object

contains SERP data for the respective app ID field name varies in the range from 1 to 20 according to the number of app IDs in the app_ids object; possible types of SERP elements: app_store_search_organic

tasks.result.items.intersection_result.1.type
string

type of the SERP element possible values: app_store_search_organic

tasks.result.items.intersection_result.1.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

tasks.result.items.intersection_result.1.rank_absolute
integer

absolute rank in SERP absolute position among all the elements in SERP

tasks.result.items.intersection_result.1.position
string

the alignment of the element in SERP can take the following values: left, right

tasks.result.items.intersection_result.1.app_id
string

id of the app

tasks.result.items.intersection_result.1.title
string

title of the app

tasks.result.items.intersection_result.1.url
string

URL to the app page on App Store

tasks.result.items.intersection_result.1.icon
string

URL to the app icon

tasks.result.items.intersection_result.1.reviews_count
integer

the total number of reviews of the app

tasks.result.items.intersection_result.1.rating
object

average rating of the app

tasks.result.items.intersection_result.1.rating.rating_type
string

the type of the rating can take the following values: Max5

tasks.result.items.intersection_result.1.rating.value
number

the value of the rating

tasks.result.items.intersection_result.1.rating.votes_count
integer

the amount of feedback in this case, the value will be null

tasks.result.items.intersection_result.1.rating.rating_max
integer

the maximum value for a rating_type the maximum value for Max5 is 5

tasks.result.items.intersection_result.1.is_free
boolean

indicates whether the app is free

tasks.result.items.intersection_result.1.is_free.current
number

current price refers to the current price indicated in the element

tasks.result.items.intersection_result.1.is_free.regular
number

regular price refers to the regular price indicated in the element

tasks.result.items.intersection_result.1.is_free.max_value
number

the maximum price refers to the maximum price indicated in the element

tasks.result.items.intersection_result.1.is_free.currency
string

currency of the listed price ISO code of the currency applied to the price

tasks.result.items.intersection_result.1.is_free.is_price_range
boolean

price is provided as a range indicates whether a price is provided in a range

tasks.result.items.intersection_result.1.is_free.displayed_price
string

price string in the result raw price string as provided in the result